/*------------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        24.10.2007
 Description:    Commando Interpreter
------------------------------------------------------------------------------*/

#ifndef _CMD_H_
	#define _CMD_H_	
	
//----------------------------------------------------------------------------
#include <avr/io.h>
#include <string.h>
#include <stdlib.h>
#include <avr/eeprom.h>
#include "usart.h"
#include "stack.h"
#include "httpd.h"

//----------------------------------------------------------------------------	
	
typedef struct
{
	char* cmd; 		// Stringzeiger auf Befehlsnamen
	void(*fp)(void);  // Zeiger auf auszufhrende Funktion
} CMD_ITEM;	

#define MAX_VAR	6

unsigned char cmd_exec(char *pstr);

//reset the unit
void command_reset (void);
void command_arp (void);
void command_tcp (void);
void command_ip (void);
void command_mac (void);
void command_ver (void);
void command_setvar (void);

#define RESET() {asm("ldi r30,0"); asm("ldi r31,0"); asm("ijmp");}
	
#endif //_CMD_H_


